KDE 4.9 PyKDE API Reference

- KDE's Python API

# KFileMetaDataConfigurationWidget Class Reference

`from PyKDE4.kio import *`

Inherits: QWidget → QObject

## Detailed Description

Widget which allows to configure which meta data should be shown in the KFileMetaDataWidget.

Note that the class is marked as internal and the API might change. It is planned to make the class public in future KDE SC's, after the API has been stabilized.

See also:
  KFileMetaDataWidget

Since:
  4.5

Internal:

## Methods

| __init__ (self, QWidget parent=0)
bool | event (self, QEvent event)
KFileItemList | items (self)
| save (self)
| setItems (self, KFileItemList items)
QSize | sizeHint (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

bool event | ( | self, |
|  | QEvent | event
| ) |  |  |

KFileItemList items | ( |  | self ) |

save | ( |  | self ) |

Saves the modified configuration.

setItems | ( | self, |
|  | KFileItemList | items
| ) |  |  |

Sets the items, for which the visibility of the meta data should be configured. Note that the visibility of the meta data is not bound to the items itself, the items are only used to determine which meta data should be configurable. For example when a JPEG image is set as item, it will be configurable which EXIF data should be shown. If an audio file is set as item, it will be configurable whether the artist, album name, ... should be shown.

QSize sizeHint | ( |  | self ) |

See also:
  QWidget.sizeHint()